}

It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
Non Galaxy users who bought the game before the update should be able to install old versions.
Unless you deleted the installer that is.
That's not helping, if you don't stockpile old installers or bought it before. It's just ignoring the problem and pushing it to the user.
@Vovchigus when did you ask the devs, just to have a timeline?